Summary:	Library for creating and editing videos
Name:		libopenshot
Version:	0.1.8
Release:	3
License:	LGPL-3.0+
Group:		Libraries
Source0:	https://github.com/OpenShot/libopenshot/archive/v%{version}.tar.gz
# Source0-md5:	70930d0c973dac2ab5468175224f142b
Patch0:		imagemagick7.patch
Group:		Development/Libraries
URL:		http://www.openshot.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Multimedia-devel
BuildRequires:	Qt5MultimediaWidgets-devel
BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	ffmpeg-devel
BuildRequires:	ffmpeg-libs
BuildRequires:	libopenshot-audio-devel
BuildRequires:	libstdc++-devel
BuildRequires:	python3-devel
BuildRequires:	swig
BuildRequires:	unittest-cpp-devel
BuildRequires:	zeromq-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libopenshot.so.*

%description
OpenShot Library (libopenshot) is an open-source project dedicated to
delivering high quality video editing, animation, and playback
solutions to the world. For more information visit
<http://www.openshot.org/>.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n python3-%{name}
The python-%{name} package contains python bindings for applications
that use %{name}.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#${_REL_PYTHON_MODULE_PATH}#%{py3_sitedir}#g' src/bindings/python/CMakeLists.txt

%build
install -d build
cd build
%cmake .. \
	-DENABLE_RUBY=NO
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenshot.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenshot.so.13

%files devel
%defattr(644,root,root,755)
%{_includedir}/libopenshot
%attr(755,root,root) %{_libdir}/libopenshot.so

%files -n python3-%{name}
%defattr(644,root,root,755)
%{py3_sitedir}/openshot.py
%attr(755,root,root) %{py3_sitedir}/_openshot.so
%changelog
* Tue Dec 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopenshot.git;a=log;h=master

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 07a7473
- release 3 (by relup.sh)

* Wed Oct 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 60bbee2
- release 2 (by relup.sh)

* Tue Sep 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f208348
- up to 0.1.8

* Mon Sep 04 2017 Elan Ruusamäe <glen@delfi.ee> 386216a
- ImageMagick-7.0.7.0-1 rebuild
- release 2 (by relup.sh)

* Sat May 13 2017 Bartek Szady <bszx@bszx.eu> 7a97a0b
- updated to 0.1.5

* Sun May 07 2017 Jan Rękorajski <baggins@pld-linux.org> 5e00ae6
- disable so check due to false negative WriteImages reference
- updated files

* Sat May 06 2017 Elan Ruusamäe <glen@delfi.ee> 1eccc80
- up to 0.1.4

* Sat Dec 31 2016 Jan Rękorajski <baggins@pld-linux.org> 9d4c494
- fix building with ImageMagick 7
- rel 4

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 16dd7fe
- python 3.6
- release 3 (by relup.sh)

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 9d2a79e
- rebuild with ImageMagick 7.0.3
- release 2 (by relup.sh)

* Wed Nov 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bbada9
- initial

